﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;

namespace HierachicalDataHeadersInCell
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            Data = new ObservableCollection<Data>();

            for (int i = 0; i < 10; i++)
            {
                Data d = new Data()
                {
                    ID = i,
                    Name = "Item " + i,
                    Child = new ObservableCollection<Data>()
                };

                for (int j = 0; j < 5; j++)
                {
                    Data d1 = new Data()
                    {
                        ID = j,
                        Name = d.Name + " " + "Item " + j,
                        Child = new ObservableCollection<Data>()
                    };

                    for (int p = 0; p < 5; p++)
                    {
                        Data d2 = new Data()
                        {
                            ID = p,
                            Name = d1.Name + " " + "Item " + p,
                            Child = new ObservableCollection<Data>()
                        };

                        d1.Child.Add(d2);
                    }

                    d.Child.Add(d1);
                }

                Data.Add(d);
            }

            DataContext = this;
            
        }

        public ObservableCollection<Data> Data { get; set; }
    }

    public class Data
    {
        public int ID { get; set; }
        public string Name { get; set; }
        public ObservableCollection<Data> Child { get; set; }
    }

}
